org.apache.hc.client5.http.async.methods

## Class SimpleResponseConsumer

- java.lang.Object
- - org.apache.hc.core5.http.nio.support.AbstractAsyncResponseConsumer<SimpleHttpResponse,byte[]>
  - - org.apache.hc.client5.http.async.methods.SimpleResponseConsumer

All Implemented Interfaces:
  org.apache.hc.core5.http.nio.AsyncDataConsumer, org.apache.hc.core5.http.nio.AsyncResponseConsumer<SimpleHttpResponse>, org.apache.hc.core5.http.nio.ResourceHolder

    public final class SimpleResponseConsumer
    extends org.apache.hc.core5.http.nio.support.AbstractAsyncResponseConsumer<SimpleHttpResponse,byte[]>

### Method Summary

Methods
`protected SimpleHttpResponse` `buildResult(org.apache.hc.core5.http.HttpResponse response, byte[] entity, org.apache.hc.core5.http.ContentType contentType)`
`static SimpleResponseConsumer` `create()`

### Methods inherited from class org.apache.hc.core5.http.nio.support.AbstractAsyncResponseConsumer

`consume, consumeResponse, failed, getResult, releaseResources, streamEnd, updateCapacity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static SimpleResponseConsumer create()

#### buildResult

    protected SimpleHttpResponse buildResult(org.apache.hc.core5.http.HttpResponse response,
                                 byte[] entity,
                                 org.apache.hc.core5.http.ContentType contentType)

Specified by:
  `buildResult` in class `org.apache.hc.core5.http.nio.support.AbstractAsyncResponseConsumer<SimpleHttpResponse,byte[]>`